# org.pdfclown.documents.multimedia.MediaPlayParameters.Viability Class Reference

Media player parameters viability. More...

Inheritance diagram for org.pdfclown.documents.multimedia.MediaPlayParameters.Viability:

List of all members.

## Classes
class | DurationObject
## Public Types
enum | FitModeEnum { Meet, Slice, Fill, Scroll, Hidden, Default }
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
bool | Autoplay`[get, set]`
| Gets/Sets whether the media should automatically play when activated.
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
double | Duration`[get, set]`
| Gets/Sets the temporal duration, corresponding to the notion of simple duration in SMIL.
File | File`[get]`
| Gets the file context.
FitModeEnum | FitMode`[get, set]`
| Gets/Sets the manner in which the player should treat a visual media type that does not exactly fit the rectangle in which it plays.
bool | PlayerSpecificControl`[get, set]`
| Gets/Sets whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.
double | RepeatCount`[get, set]`
| Gets/Sets the number of iterations of the duration to repeat; similar to SMIL's
    repeatCount
attribute.
int | Volume`[get, set]`
| Gets/Sets the volume level as a percentage of recorded volume level. A zero value is equivalent to mute.

##

Media player parameters viability.

## Member Enumeration Documentation

enum org::pdfclown::documents::multimedia::MediaPlayParameters::Viability::FitModeEnum

Enumerator:

  Meet | The media's width and height are scaled while preserving the aspect ratio so that the media and play rectangles have the greatest possible intersection while still displaying all media content. Same as
      meet
  value of SMIL's fit attribute.
  Slice | The media's width and height are scaled while preserving the aspect ratio so that the play rectangle is entirely filled, and the amount of media content that does not fit within the play rectangle is minimized. Same as
      slice
  value of SMIL's fit attribute.
  Fill | The media's width and height are scaled independently so that the media and play rectangles are the same; the aspect ratio is not necessarily preserved. Same as
      fill
  value of SMIL's fit attribute.
  Scroll | The media is not scaled. A scrolling user interface is provided if the media rectangle is wider or taller than the play rectangle. Same as
      scroll
  value of SMIL's fit attribute.
  Hidden | <summaryCThe media is not scaled. Only the portions of the media rectangle that intersect the play rectangle are displayed. Same as
      hidden
  value of SMIL's fit attribute.
  Default | Use the player's default setting (author has no preference).

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

## Property Documentation

bool org.pdfclown.documents.multimedia.MediaPlayParameters.Viability.Autoplay`[get, set]`

Gets/Sets whether the media should automatically play when activated.

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

double org.pdfclown.documents.multimedia.MediaPlayParameters.Viability.Duration`[get, set]`

Gets/Sets the temporal duration, corresponding to the notion of simple duration in SMIL.

Returns:

  -     Double.NEGATIVE_INFINITY

    : intrinsic duration of the associated media;

  -     Double.POSITIVE_INFINITY

    : infinite duration;
  - non-infinite positive: explicit duration.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

FitModeEnum org.pdfclown.documents.multimedia.MediaPlayParameters.Viability.FitMode`[get, set]`

Gets/Sets the manner in which the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

bool org.pdfclown.documents.multimedia.MediaPlayParameters.Viability.PlayerSpecificControl`[get, set]`

Gets/Sets whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

double org.pdfclown.documents.multimedia.MediaPlayParameters.Viability.RepeatCount`[get, set]`

Gets/Sets the number of iterations of the duration to repeat; similar to SMIL's

    repeatCount

attribute.

Returns:

  -     0

    : repeat forever;

int org.pdfclown.documents.multimedia.MediaPlayParameters.Viability.Volume`[get, set]`

Gets/Sets the volume level as a percentage of recorded volume level. A zero value is equivalent to mute.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.